SFCONVERT(1)

NAME
sfconvert - convert between various audio formats

SYNOPSIS
sfconvert infile outfile [ options ... ] [ output keywords ... ]

DESCRIPTION
The sfconvert tool can be used to convert audio files from one audio format to another. The files' audio formats have to be supported by libaudiofile.

OPTIONS
The following keywords specify the format of the output sound file:

byteorder e
    Desired endianness of output sample data. e may be one of big or little.

channels n
    Number of output channels. n is 1 for mono, and 2 for stereo files.

format f
    Audio format of output file. f has to be one of the currently supported formats: aiff (Audio Interchange File Format), aifc (AIFF-C File Format), next (NeXT/Sun Format), wave (MS RIFF WAVE Format), bicsf (Berkeley/IRCAM/CARL Sound File Format), avr (Audio Visual Research File Format), iff (Amiga IFF/8SVX Sound File Format), or nist (NIST SPHERE File Format).

integer n s
    Produce integer samples. n specifies the width of individual samples in bits, s yields the encoding and may be one of 2scomp (2's complement signed data), or unsigned (unsigned data). The integer and float options (see below) are mutually exclusive.

float m
    Produce floating point samples with a maximum amplitude of m (usually 1.0). This options may not be used together with option integer.

SEE ALSO
sfinfo(1).

AUTHOR
sfconvert was written by Michael Pruett <michael@68k.org>.

This manual page was written by Daniel Kobras <kobras@debian.org> for the Debian GNU/Linux system (but may be used by others). It is based on the sfconvert plain text documentation as distributed with audiofile.